Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.starteam
Class TreeBasedTask.UnmatchedFileMap

    java.lang.Object
      |
      +--java.util.Dictionary
            |
            +--java.util.Hashtable
                  |
                  +--org.apache.tools.ant.taskdefs.optional.starteam.TreeBasedTask.UnmatchedFileMap

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

Enclosing class:
  TreeBasedTask

protected abstract class TreeBasedTask.UnmatchedFileMap
extends java.util.Hashtable

This class implements a map of existing local files to possibly existing repository files. The map is created by a TreeBasedTask upon recursing into a directory. Each local item is mapped to an unattached StarTeam object of the proper type, File->File and Directory->Folder. As the TreeBased does its work, it deletes from the map all items it has processed. When the TreeBased task processes all the items from the repository, whatever items left in the UnmatchedFileMap are uncontrolled items and can be processed as appropriate to the task. In the case of Checkouts, they can be optionally deleted from the local tree. In the case of Checkins they can optionally be added to the repository.

See Also:
  Serialized Form

Constructor Summary
`protected` | `TreeBasedTask.UnmatchedFileMap()`

Method Summary
`protected abstract boolean` | `isActive()` overrides must define this to declare how this method knows if it is active.

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeBasedTask.UnmatchedFileMap

    protected TreeBasedTask.UnmatchedFileMap()

Method Detail

### isActive

    protected abstract boolean isActive()

  overrides must define this to declare how this method knows if it is active. This presents extra clock cycles when the functionality is not called for.

  Returns:
    True if this object is to perform its functionality.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.